Name:           andy-super-great-park
Version:        1.0.8
Release:        %mkrel 1
License:        GPLv2+
Summary:        2D arcade game
Url:            http://www.stuff-o-matic.com/asgp/
Group:          Games/Arcade
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  mesagl-devel
BuildRequires:  boost-devel
BuildRequires:  chrpath
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libclaw-devel >= 1.7.0
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  xsltproc
BuildRequires:  wxgtk-devel
Requires:       %{name}-data = %{version}
# Cmake suggests it but "parser error" will be got.
#BuildConflicts: docbook2x

%description
Andy's Super Great Park is an original game with an inventive and easy to 
learn gameplay, where every action can be simply done with a mouse. 
Challenge your reflexes and your dexterity in this adventure of 25 to 43 
levels, punctuated by amazing boss fights. 

Through 25 main levels, you will have to retrieve a minimum number of 
balloons using your plunger gun while avoiding collisions with the obstacles 
dropped on the path (explosive zeppelins, crates, TNT…). Try to get the best 
scores and unlock up to 18 extra levels! 

Grabbing balloons with a plunger gun, shooting birds with a cannon and 
exploding everything else, all while riding a roller coaster: this is Andy's 
Super Great Park!


%package        -n bear-factory
License:        GPL-2.0+ and CC-BY-SA-3.0
Summary:        Editors for Plee the Bear & Andy's Super Great Park

%description    -n bear-factory
This package includes the level editor, animation editor and model editor
of the Bear Engine for Plee the Bear & Andy's Super Great Park.


%package        data
License:        CC-BY-SA-3.0
Summary:        2D platform game — art and other architecture independent data
Requires:       %{name} = %{version}
BuildArch:      noarch

%description data
These are the data files for Andy's Super Great Park arcade game.


%prep
%setup -q


%build
cmake  . \
        -DCMAKE_BUILD_TYPE=RelWithDebInfo \
        -DCMAKE_NO_BUILTIN_CHRPATH=ON \
        -DCMAKE_C_FLAGS="-DNDEBUG %{optflags}" \
        -DCMAKE_CXX_FLAGS="-DNDEBUG %{optflags}" \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DRP_INSTALL_CUSTOM_LIBRARY_DIR=%{_lib}/%{name} \
        -DBEAR_ENGINE_INSTALL_LIBRARY_DIR=%{_lib}/%{name} \
        -DBEAR_FACTORY_INSTALL_LIBRARY_DIR=%{_lib} \
        -DBEAR_USES_FREEDESKTOP=1

#% cmake  

#mkdir build;cd build
#cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_BUILD_TYPE=release -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=OFF '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed  -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'
%make 


%install
%makeinstall_std

# Translations
%find_lang super-great-park
%find_lang bear-engine
cat bear-engine.lang >>super-great-park.lang
%find_lang bear-factory

chrpath --delete %{buildroot}%{_bindir}/bend-image

%fdupes -s %{buildroot}%{_datadir}/super-great-park
%fdupes -s %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}
%doc asgp/LICENSE asgp/license/*

%files data -f super-great-park.lang
%defattr(-,root,root)
%{_datadir}/super-great-park
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/asgp.png
%{_datadir}/pixmaps/asgp.*
%dir %{_datadir}/bear-factory
%{_datadir}/bear-factory/super-great-park

%files -n bear-factory -f bear-factory.lang
%defattr(-,root,root)
%{_libdir}/libbear-editor.so
%{_bindir}/bend-image
%{_bindir}/bf*editor
%dir %{_datadir}/bear-factory
%{_datadir}/bear-factory/images
%{_datadir}/bear-factory/item-description
%{_datadir}/applications/bf*editor.desktop
%{_datadir}/applications/desc2img.desktop
%{_datadir}/icons/hicolor/*/apps/bear-factory.png
%{_datadir}/pixmaps/bear-factory*
%doc bear/LICENSE bear/license/* bear/README.md




%changelog
* Tue Dec 10 2013 juancho <juancho> 1.0.8-1.mga4
+ Revision: 556084
- imported package andy-super-great-park


* Sat Aug 24 2013 dap.darkness@gmail.com
- Initial build.
